Please study this README file in its entirety before using ZAPOBJ.

To install a fix into NetWare using ZAPOBJ, issue the following command:

      ZAPOBJ InputFile OutputFile ParameterFile > ReportFile


   Inputfile:       A NetWare .obj file to be patched.
   OutputFile:      Name of the new .obj file to be created ie newobj.obj.
   ParameterFile:   A text file with the extension .fix.
   ReportFile:      Optional outputfile to contain report from zapobj.exe.


In the above command, InputFile is the current .OBJ file, OutputFile 
will be an updated version of InputFile, and ParameterFile is a file with 
an extension of .FIX and contains a description of the changes the fix 
will make.  The " > ReportFile " suffix is optional and redirects the 
ZAPOBJ report from the screen to a disk file.  We recommend this command 
suffix in the event of an unsuccessful execution.  The .Fix files are ASCII
text and may contain C like /* ... */ comments giving the details of the fix.


Example of how to invoke ZAPOBJ:

     ZAPBOJ tts.obj newtts.obj  text.fix > report.txt

ZAPOBJ will issue a report of the changes made in the creation of the output
.OBJ file.  The last line of this report will indicate the success or failure 
of the update.  If ZAPOBJ is unsuccessful, please contact Novell Technical 
Services.  If ZAPOBJ is successful, replace your original .OBJ with the 
updated one just created and execute NETGEN.  Link and configure the operating 
system and cause NET$OS to be copied to your network drive.  This procedure 
will complete your installation.

Users should save a copy of original .OBJ files.  It is also recommended 
that the user exercise his or her system software after such an update 
prior to placing it back into production.
